Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model.iterators
Class BaseTupleIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<org.richfaces.model.TreeDataModelTuple>
          org.richfaces.model.iterators.BaseTupleIterator

All Implemented Interfaces:
  Iterator<org.richfaces.model.TreeDataModelTuple>

Direct Known Subclasses:
  ClassicTreeNodeTuplesIterator, IterableDataTuplesIterator, MapDataTuplesIterator

    public abstract class BaseTupleIterator

extends com.google.common.collect.UnmodifiableIterator<org.richfaces.model.TreeDataModelTuple>

Author:
  Nick Belaevski

Constructor Summary
`BaseTupleIterator(SequenceRowKey baseKey)`
`BaseTupleIterator(SequenceRowKey baseKey, javax.faces.component.UIComponent component)`

Method Summary
`protected org.richfaces.model.TreeDataModelTuple` | `createTuple(SequenceRowKey key)`
`protected SequenceRowKey` | `getBaseKey()`
`protected javax.faces.component.UIComponent` | `getComponent()`
`protected SequenceRowKey` | `getCompositeKey(Object modelKey)`
`protected Object` | `getKey()`
`protected Object` | `getWrappedKey()`
`org.richfaces.model.TreeDataModelTuple` | `next()`
`protected abstract void` | `proceedToNext()`
`protected void` | `setKeyAndData(Object rowKey, Object data)`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext`

Constructor Detail

### BaseTupleIterator

    public BaseTupleIterator(SequenceRowKey baseKey)

### BaseTupleIterator

    public BaseTupleIterator(SequenceRowKey baseKey,
                             javax.faces.component.UIComponent component)

Method Detail

### proceedToNext

    protected abstract void proceedToNext()

### getComponent

    protected javax.faces.component.UIComponent getComponent()

### getBaseKey

    protected SequenceRowKey getBaseKey()

### setKeyAndData

    protected void setKeyAndData(Object rowKey,
                                 Object data)

### getKey

    protected Object getKey()

### next

    public final org.richfaces.model.TreeDataModelTuple next()

### createTuple

    protected org.richfaces.model.TreeDataModelTuple createTuple(SequenceRowKey key)

### getWrappedKey

    protected Object getWrappedKey()

### getCompositeKey

    protected SequenceRowKey getCompositeKey(Object modelKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.